Details

    • Type: Bug
    • Status: Closed
    • Resolution: Duplicate
    • Affects Version/s: Master
    • Fix Version/s: None
    • Component/s: Dev Tools
    • Labels:

      Description

      Due to startup error from comment here We sent com.liferay.portal.component.blacklist.impl to BChan to republish then I triggered: 

      #219 job 7.4 EP2

      GIT HASH: 874bdcaff61d6290bc627a667d9cf0c8b0a01516

      but build failed, see console log: 

      [exec] 2021-06-01 06:00:07.598 ERROR [Framework Event Dispatcher: Equinox Container: 88d328d6-9354-4afc-90a0-7d86cddc0ec0][Framework:93] FrameworkEvent ERROR 
           [exec] com.liferay.portal.kernel.log.LogSanitizerException: org.osgi.framework.BundleException: Could not resolve module: com.liferay.document.library.opener.service [94]_  Unresolved requirement: Import-Package: com.liferay.upload; version="[1.1.0,2.0.0)"_    -> Export-Package: com.liferay.upload; bundle-symbolic-name="com.liferay.upload.api"; bundle-version="5.0.0"; version="1.1.0"; uses:="com.liferay.petra.function,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.repository.model,com.liferay.portal.kernel.upload,javax.portlet"_       com.liferay.upload.api [810]_         Unresolved requirement: Import-Package: com.liferay.portal.kernel.repository.model; version="[8.0.0,9.0.0)"_ [Sanitized]
           [exec] 	at org.eclipse.osgi.container.Module.start(Module.java:444) ~[org.eclipse.osgi.jar:?]
           [exec] 	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1682) ~[org.eclipse.osgi.jar:?]
           [exec] 	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1662) ~[org.eclipse.osgi.jar:?]
           [exec] 	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1624) ~[org.eclipse.osgi.jar:?]
           [exec] 	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1555) ~[org.eclipse.osgi.jar:?]
           [exec] 	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1) ~[org.eclipse.osgi.jar:?]
           [exec] 	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230) [org.eclipse.osgi.jar:?]
           [exec] 	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340) [org.eclipse.osgi.jar:?]
           [exec] 2021-06-01 06:00:07.606 ERROR [Framework Event Dispatcher: Equinox Container: 88d328d6-9354-4afc-90a0-7d86cddc0ec0][Framework:108] Exiting the JVM 
           [exec] com.liferay.portal.kernel.log.LogSanitizerException: org.osgi.framework.BundleException: Could not resolve module: com.liferay.document.library.opener.service [94]_  Unresolved requirement: Import-Package: com.liferay.upload; version="[1.1.0,2.0.0)"_    -> Export-Package: com.liferay.upload; bundle-symbolic-name="com.liferay.upload.api"; bundle-version="5.0.0"; version="1.1.0"; uses:="com.liferay.petra.function,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.portal.kernel.repository.model,com.liferay.portal.kernel.upload,javax.portlet"_       com.liferay.upload.api [810]_         Unresolved requirement: Import-Package: com.liferay.portal.kernel.repository.model; version="[8.0.0,9.0.0)"_ [Sanitized]
           [exec] 	at org.eclipse.osgi.container.Module.start(Module.java:444) ~[org.eclipse.osgi.jar:?]
           [exec] 	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1682) ~[org.eclipse.osgi.jar:?]
           [exec] 	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1662) ~[org.eclipse.osgi.jar:?]
           [exec] 	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1624) ~[org.eclipse.osgi.jar:?]
           [exec] 	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1555) ~[org.eclipse.osgi.jar:?]
           [exec] 	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1) ~[org.eclipse.osgi.jar:?]
           [exec] 	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230) [org.eclipse.osgi.jar:?]
           [exec] 	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340) [org.eclipse.osgi.jar:?]
           [exec] Result: 1
           [exec] May 31, 2021 11:02:49 PM org.apache.catalina.startup.Catalina stopServer
           [exec] SEVERE: Could not contact [localhost:8005] (base port [8005] and offset [0]). Tomcat may not be running.
      

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              sophia.zhang Sophia Zhang
              Reporter:
              sophia.zhang Sophia Zhang
              Participants of an Issue:
              Recent user:
              Jason Pince
              Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Days since last comment:
                26 weeks, 3 days ago

                  Packages

                  Version Package